Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.javaee6
Class IconTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.javaee6.IconTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, IconType<T>

    public class IconTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, IconType<T>

This class implements the `iconType` xsd type

Original Documentation:

The icon type contains small-icon and large-icon elements
that specify the file names for small and large GIF, JPEG,
or PNG icon images used to represent the parent element in a
GUI tool.
The xml:lang attribute defines the language that the
icon file names are provided in. Its value is "en" (English)
by default.

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`IconTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`IconTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.lang.String` | `getLargeIcon()` Returns the `large-icon` element
`java.lang.String` | `getSmallIcon()` Returns the `small-icon` element
`IconType<T>` | `removeLargeIcon()` Removes the `large-icon` element
`IconType<T>` | `removeSmallIcon()` Removes the `small-icon` element
`IconType<T>` | `setLargeIcon(java.lang.String largeIcon)` If not already created, a new `large-icon` element with the given value will be created.
`IconType<T>` | `setSmallIcon(java.lang.String smallIcon)` If not already created, a new `small-icon` element with the given value will be created.
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IconTypeImpl

    public IconTypeImpl(T t,
                        java.lang.String nodeName,
                        org.jboss.shrinkwrap.descriptor.spi.Node node)

### IconTypeImpl

    public IconTypeImpl(T t,
                        java.lang.String nodeName,
                        org.jboss.shrinkwrap.descriptor.spi.Node node,
                        org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setSmallIcon

    public IconType<T> setSmallIcon(java.lang.String smallIcon)

  If not already created, a new `small-icon` element with the given value will be created. Otherwise, the existing `small-icon` element will be updated with the given value.

  Specified by:
    `setSmallIcon` in interface `IconType<T>`
  Returns:
    the current instance of `IconType`

### removeSmallIcon

    public IconType<T> removeSmallIcon()

  Removes the `small-icon` element

  Specified by:
    `removeSmallIcon` in interface `IconType<T>`
  Returns:
    the current instance of `IconType`

### getSmallIcon

    public java.lang.String getSmallIcon()

  Returns the `small-icon` element

  Specified by:
    `getSmallIcon` in interface `IconType<T>`
  Returns:
    the node defined for the element `small-icon`

### setLargeIcon

    public IconType<T> setLargeIcon(java.lang.String largeIcon)

  If not already created, a new `large-icon` element with the given value will be created. Otherwise, the existing `large-icon` element will be updated with the given value.

  Specified by:
    `setLargeIcon` in interface `IconType<T>`
  Returns:
    the current instance of `IconType`

### removeLargeIcon

    public IconType<T> removeLargeIcon()

  Removes the `large-icon` element

  Specified by:
    `removeLargeIcon` in interface `IconType<T>`
  Returns:
    the current instance of `IconType`

### getLargeIcon

    public java.lang.String getLargeIcon()

  Returns the `large-icon` element

  Specified by:
    `getLargeIcon` in interface `IconType<T>`
  Returns:
    the node defined for the element `large-icon`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD